## gzrt 0.5

=== Makefile ===
CFLAGS += -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 
LDFLAGS += -lz

all: gzrecover

gzrecover: gzrecover.c

clean:
	rm gzrecover

=== debian/changelog ===
gzrt (0.5-2ubuntu1) oneiric; urgency=low

  * fix-linking.patch: fix problem with --as-needed (LP: #770899).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 18 Jun 2011 18:03:16 +0400

gzrt (0.5-2) unstable; urgency=low

  * Use Homepage instead of putting it in the description (Closes: #615424)
  * Until policy changes install the ChangeLog to changelog.gz
  * Now complies with latest policy, bump Standards-Version
  * Fix segfaults with some files (Closes: #509170)
  * Reference the correct version of the GPL
  * Switch to debhelper 7 and dh
  * Correct memory and fd leaks
  * Correct 3 gcc warnings

 -- Paul Wise <pabs@debian.org>  Mon, 28 Mar 2011 13:18:42 +0800

gzrt (0.5-1) unstable; urgency=low

  * Initial release (Closes: #378112)

 -- Paul Wise <pabs@debian.org>  Wed, 13 Jun 2007 16:13:30 +0100

=== debian/control ===
Source: gzrt
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.urbanophile.com/arenn/hacking/gzrt/

Package: gzrt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: cpio
Description: gzip recovery toolkit
 gzrecover will attempt to skip over corrupted data in a gzip archive,
 thereby allowing the remaining data to be recovered.
 .
 Please install cpio to facilitate recovery from damaged gzipped tarballs.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh --parallel $@

override_dh_auto_clean:
	-[ ! -f Makefile ] || $(MAKE) clean

=== debian/watch ===
version=3
http://www.urbanophile.com/arenn/hacking/gzrt/gzrt-([\d\.]+)\.tar\.gz

## gzrt 0.6+ds1

=== debian/changelog ===
gzrt (0.6+ds1-1) unstable; urgency=low

  * New upstream release
    - Drop old patches, included upstream
    - Contains pre-compiled gzrecover, drop it
  * Add a new patch to fix the Makefile (Closes: #631699)
  * Bump debhelper compat
  * Enable hardening flags
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 12 Jun 2012 12:43:47 +0800

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

UVERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: \([^+]*\)+ds[0-9]*-.*$$/\1/p')
DVERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)-.*$$/\1/p')

get-orig-source:
	rm -f gzrt-$(UVERSION).tar.gz gzrt-$(UVERSION)
	wget http://www.urbanophile.com/arenn/hacking/gzrt/gzrt-$(UVERSION).tar.gz
	tar zxf gzrt-$(UVERSION).tar.gz
	# Pre-built binary, unused
	rm gzrt-$(UVERSION)/gzrecover
	mv gzrt-$(UVERSION) gzrt-$(DVERSION).orig
	tar zcf ../gzrt_$(DVERSION).orig.tar.gz gzrt-$(DVERSION).orig
	rm -r gzrt-$(UVERSION).tar.gz gzrt-$(DVERSION).orig

## gzrt 0.8

=== Makefile ===
all: gzrecover

gzrecover: gzrecover.o
	cc -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 gzrecover.c -lz -o gzrecover

clean:
	rm gzrecover

=== debian/changelog ===
gzrt (0.8-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:46:01 +0000

gzrt (0.8-1) unstable; urgency=low

  * New upstream release
    - tarball doesn't have binary file, drop get-orig-source
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 08 Oct 2013 14:13:32 +0800

=== debian/control ===
Source: gzrt
Section: utils
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 9),
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.urbanophile.com/arenn/hacking/gzrt/

Package: gzrt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cpio
Description: gzip recovery toolkit
 gzrecover will attempt to skip over corrupted data in a gzip archive,
 thereby allowing the remaining data to be recovered.
 .
 Please install cpio to facilitate recovery from damaged gzipped tarballs.
